#menu_mobile {
    position: fixed;
    width: 40%;
    height: 100vh;
    z-index: 100000;
    top: 0;
    right: 0;
    display: -webkit-box;
    display: flex;
    display: -ms-flexbox;
    background: #000000;
    background: #00403D;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    padding: 5rem 0;
    overflow-y: auto;
    overflow-x: hidden;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    -webkit-transition: all 0.5s ease;
    transition: all 0.5s ease;
    -webkit-transform: translateX(100%);
    transform: translateX(100%);
}

#menu_mobile.open {
    -webkit-transform: translateX(0);
    transform: translateX(0);
}

#menu_mobile .hamburger-icon {
    width: 26px;
    height: 22.5px;
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
    -webkit-transition: .5s ease-in-out;
    transition: .5s ease-in-out;
    cursor: pointer;
    margin-left: 20px;
    position: absolute;
    right: 1rem;
    top: 1rem;
}

#menu_mobile .hamburger-icon span {
    display: block;
    position: absolute;
    height: 2px;
    width: 50%;
    background: #ffffff;
    opacity: 1;
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
    -webkit-transition: .25s ease-in-out;
    transition: .25s ease-in-out;
}

#menu_mobile .menu_lang li {
    list-style: none;
}

#menu_mobile .menu_lang li a {
    display: block;
    padding: 3px 10px;
    border-radius: 0;
    -webkit-border-radius: 0;
    -moz-border-radius: 0;
    -ms-border-radius: 0;
    -o-border-radius: 0;
    color: #ffffff;
    background: transparent;
    text-transform: uppercase;
}

#menu_mobile .menu_lang li.current-lang a {
    font-weight: bold;
    background: #D9FF00;
    color: #ffffff;
}

/*-------------------*/
#menu_mobile .hamburger-icon span:nth-child(even) {
    right: 0;
    border-radius: 0 9px 9px 0;
}

#menu_mobile .hamburger-icon span:nth-child(4) {
    top: 8px;
}

#menu_mobile .hamburger-icon span:nth-child(odd) {
    left: 0;
    border-radius: 9px 0 0 9px;
}

#menu_mobile .hamburger-icon span:nth-child(1),
#menu_mobile .hamburger-icon span:nth-child(2) {
    top: 0;
}

#menu_mobile .hamburger-icon span:nth-child(3) {
    top: 8px;
    width: 0%;
    left: -25%;
}

#menu_mobile .hamburger-icon span:nth-child(5),
#menu_mobile .hamburger-icon span:nth-child(6) {
    top: 16px;
}

#menu_mobile .hamburger-icon.open span:nth-child(1),
#menu_mobile .hamburger-icon.open span:nth-child(6) {
    -webkit-transform: rotate(45deg);
    transform: rotate(45deg);
}

#menu_mobile .hamburger-icon.open span:nth-child(2),
#menu_mobile .hamburger-icon.open span:nth-child(5) {
    -webkit-transform: rotate(-45deg);
    transform: rotate(-45deg);
}

#menu_mobile .hamburger-icon.open span:nth-child(1) {
    left: 2px;
    top: 5px;
}

#menu_mobile .hamburger-icon.open span:nth-child(2) {
    right: 2px;
    top: 5px;
}

#menu_mobile .hamburger-icon.open span:nth-child(4) {
    right: 50%;
    opacity: 0;
}

#menu_mobile .hamburger-icon.open span:nth-child(5) {
    left: 2px;
    top: 14px;
}

#menu_mobile .hamburger-icon.open span:nth-child(6) {
    right: 2px;
    top: 14px;
}

#menu_mobile .hamburger-icon.open span:nth-child(3) {
    left: -50%;
    width: 0;
    opacity: 0;
}

/*-------------------*/
#menu_mobile .menu_lang {
    display: -webkit-box;
    display: flex;
    display: -ms-flexbox;
    padding-left: 0;
    margin-bottom: 2rem;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
}

#menu_mobile .menu_site {
    list-style: none;
    padding-left: 0;
    margin-bottom: 0;
    max-height: 80vh;
    overflow-y: auto;
    overflow-x: hidden;
}

#menu_mobile .menu_site li {
    position: relative;
}

#menu_mobile .menu_site li a {
    font-size: 16px;
    color: #ffffff;
    padding: 12px 28px;
    display: block;
    font-weight: bold;
}

#menu_mobile .menu_site li .account_name {
    text-decoration: underline;
}

#menu_mobile .menu_site li.current-menu-item>a {
    font-weight: bold;
    /* background: #ffffff; */
    color: #D9FF00;
}

.hr-space-menu {
    width: 100%;
    height: 3px;
    background-color: white;
    margin: 0;
}

.account_info {
    display: none;
}

.overlay_menu {
    position: fixed;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    z-index: 99991;
    background: rgba(0, 0, 0, 0.5);
    -webkit-transition: all 0.5s ease;
    transition: all 0.5s ease;
    -webkit-transform: translateX(100%);
    transform: translateX(100%);
}

.overlay_lisence {
    position: fixed;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    z-index: 100000;
    background: rgba(0, 0, 0, 0.3);
    -webkit-transition: all 0.5s ease;
    transition: all 0.5s ease;
    -webkit-transform: translateX(100%);
    transform: translateX(100%);
    opacity: 0;
}

.overlay_lisence.is-active {
    opacity: 1;
    -webkit-transform: translateX(0);
    transform: translateX(0);
}

.overlay_menu.is-active {
    -webkit-transform: translateX(0);
    transform: translateX(0);
}

#header_site {
    position: sticky;
    top: 0;
    z-index: 99999;
    padding: 40px 0;
    -webkit-transition: all 0.5s ease;
    transition: all 0.5s ease;
}

#header_site .menu_site {
    list-style: none;
    padding-left: 0;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-column-gap: 80px;
    column-gap: 80px;
    -webkit-transition: all 0.5s ease;
    transition: all 0.5s ease;
    margin-bottom: 0;
}

#header_site .menu_site.nav_left {
    padding-right: 110px;
    -webkit-box-pack: end;
    -ms-flex-pack: end;
    justify-content: flex-end;
    -webkit-transition: all 0.5s ease;
    transition: all 0.5s ease;
}

#header_site .menu_site.nav_right {
    padding-left: 110px;
    -webkit-transition: all 0.5s ease;
    transition: all 0.5s ease;
}

#header_site .menu_site li {
    position: relative;
}

#header_site.logo_red .menu_site li a::before {
    color: #ffffff;
}

#header_site.logo_red .menu_site li a::after {
    color: #ffffff;
}

#header_site.logo_red .menu_site li::before {
    background: #ffffff !important;
}

#header_site .menu_site li::before {
    position: absolute;
    content: "";
    width: 0;
    height: 1px;
    bottom: -5px;
    left: 0;
    background: #D9FF00;
    opacity: 0;
    -webkit-transition: all 0.5s ease;
    transition: all 0.5s ease;
}

#header_site .menu_site li a {
    text-transform: uppercase;
    font-size: 15px;
    font-family: "Darker Grotesque", sans-serif;
    font-weight: bold;
    display: block;
    overflow: hidden;
    color: transparent;
    position: relative;
}

#header_site .menu_site li:hover>a::before {
    -webkit-transform: translateY(-100%);
    transform: translateY(-100%);
    opacity: 0;
}

#header_site .menu_site li:hover>a::after {
    -webkit-transform: translateY(0);
    transform: translateY(0);
    opacity: 1;
}

#header_site .menu_site li a::before {
    position: absolute;
    content: attr(data-text);
    top: 0;
    left: 0;
    -webkit-transition: all 0.5s ease;
    transition: all 0.5s ease;
    color: #D9FF00;
    opacity: 1;
    -webkit-transform: translateY(0);
    transform: translateY(0);
}

#header_site .menu_site li a::after {
    position: absolute;
    content: attr(data-text);
    top: 0;
    left: 0;
    -webkit-transition: all 0.5s ease;
    transition: all 0.5s ease;
    color: #D9FF00;
    opacity: 0;
    -webkit-transform: translateY(100%);
    transform: translateY(100%);
}

#header_site .menu_site li.current-menu-item::before {
    opacity: 1 !important;
    width: 100%;
}

#header_site .menu_site li:hover::before {
    opacity: 1;
    width: 100%;
}

#header_site .menu_lang {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    list-style: none;
    margin-bottom: 0;
    -webkit-column-gap: 20px;
    column-gap: 20px;
}

#header_site .menu_lang .dropdown__content {
    display: none;
    position: absolute;
    top: 100%;
    /* ngay dưới button */
    right: 0;
    background: #fff;
    min-width: 230px;
    width: fit-content;
    border-radius: 6px;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.15);
    z-index: 1;
    padding: 16px 14px;
    margin-top: 10px;
}

#header_site .menu_lang .dropdown__content .arrow {
    position: absolute;
    top: -8px;
    right: 26px;
    width: 0;
    height: 0;
    border-left: 8px solid transparent;
    border-right: 8px solid transparent;
    border-bottom: 10px solid #fff;
    filter: drop-shadow(0 -1px 1px rgba(0, 0, 0, 0.1));
}

.arrow-icon-login {
    right: 5px !important;
}

#header_site .menu_lang .dropdown__custom .account_menu {
    display: flex;
    gap: 5px;
}

/* #header_site .menu_lang .dropdown__custom .account_menu div:hover {
    cursor: pointer;
} */

#header_site .menu_lang .dropdown__custom .account_menu i {
    display: none;
    margin-right: 5px;
}

#header_site .menu_lang .dropdown__custom #login_dropdown {
    visibility: hidden;
}

#header_site .menu_lang .dropdown__custom:hover .dropdown__content {
    display: flex;
    flex-direction: column;
    gap: 15px;
}

#header_site.logo_red.scrolled .menu_lang .dropdown__custom .account_menu #text_login,
#header_site.logo_red.scrolled .menu_lang .dropdown__custom .account_menu #icon_login {
    color: #00403D !important;
}







#header_site .menu_lang li {
    position: relative;
}

#header_site .menu_lang li a {
    color: black;
    font-family: 'Montserrat', sans-serif;
}

#header_site .logo_site {
    display: block;
}

#header_site .logo_site img {
    height: 70px;
}

#header_site.logo_red .menu_lang li:not(:last-child)::before {
    background: #ffffff;
}

#header_site .menu_lang li.current-lang a {
    font-weight: bold;
}

#header_site .menu_lang li:not(:last-child)::before {
    position: absolute;
    width: 1px;
    height: 10px;
    content: "";
    background: #D9FF00;
    top: 50%;
    right: -10px;
    -webkit-transform: translateY(-50%);
    transform: translateY(-50%);
}

#header_site.logo_red .logo_site img {
    -webkit-filter: brightness(0) invert(1);
    filter: brightness(0) invert(1);
}

#header_site .hamburger_btn {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    margin: 0 .5rem;
}

#header_site .hamburger_btn .hamburger-icon {
    width: 36px;
    height: 18px;
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
    -webkit-transition: .5s ease-in-out;
    transition: .5s ease-in-out;
    cursor: pointer;
}

#header_site.logo_red .hamburger_btn .hamburger-icon span {
    background-color: #ffffff;
}

#header_site .hamburger_btn .hamburger-icon span {
    display: block;
    position: absolute;
    height: 2px;
    width: 50%;
    background: #D9FF00;
    opacity: 1;
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
    -webkit-transition: .25s ease-in-out;
    transition: .25s ease-in-out;
}

#header_site .hamburger_btn .hamburger-icon span:nth-child(even) {
    right: 0;
    border-radius: 0 9px 9px 0;
}

#header_site .hamburger_btn .hamburger-icon span:nth-child(4) {
    top: 8px;
}

#header_site .hamburger_btn .hamburger-icon span:nth-child(5),
#header_site .hamburger_btn .hamburger-icon span:nth-child(6) {
    top: 16px;
}

#header_site .hamburger_btn .hamburger-icon span:nth-child(3) {
    top: 8px;
    left: 0;
}

#header_site .hamburger_btn .hamburger-icon span:nth-child(1),
#header_site .hamburger_btn .hamburger-icon span:nth-child(2) {
    top: 0;
}

#header_site .hamburger_btn .hamburger-icon span:nth-child(odd) {
    left: 0;
    border-radius: 9px 0 0 9px;
}

#header_site.logo_red.scrolled .hamburger_btn .hamburger-icon span {
    background-color: #00403D;
}

#header_site.scrolled .logo_site img {
    height: 55px;
    -webkit-filter: brightness(1) invert(0);
    filter: brightness(1) invert(0);
}

#header_site.scrolled {
    padding: 8px 0;
    background: white;
}

#header_site.scrolled .menu_lang li a {
    color: #00403D;
}

#header_site.scrolled .menu_site li::before {
    background: #00403D !important;
}

#header_site.scrolled .menu_site li a::before {
    color: #00403D;
}



#header_site.scrolled .menu_site li a::after {
    color: #00403D;
}

#header_site.scrolled .menu_lang li:not(:last-child)::before {
    background: #D9FF00;
}

#header_site.scrolled .menu_site {
    -webkit-column-gap: 80px;
    column-gap: 80px;
}

#header_site.scrolled .menu_site.nav_left {
    padding-right: 80px;
}

#header_site.scrolled .menu_site.nav_right {
    padding-left: 80px;
}

#header_site.logo_red.scrolled .hamburger_btn .hamburger-icon span {
    background-color: #00403D;
}

@media (min-width: 1400px) {
    #footer_site .img_run {
        width: calc(100% + (100vw - 1320px + 1.5rem) / 2);
    }
}

@media (min-width: 1200px) {
    #footer_site .img_run {
        width: calc(100% + (100vw - 1140px + 1.5rem) / 2);
    }
}

@media (min-width: 992px) {
    .justify-content-lg-between {
        justify-content: space-between !important;
    }

    #footer_site .img_run {
        width: calc(100% + (100vw - 960px + 1.5rem) / 2);
    }
}

@media (max-width: 991px) {
    #header_site {
        padding: 10px 0;
    }

    #header_site .logo_site img {
        height: 50px;
    }

    #header_site.scrolled .logo_site img {
        height: 50px;
    }

    #header_site.scrolled {
        background: #ffffff;
    }
}


@media (max-width: 767px) {
    #menu_mobile {
        width: 70%;
    }
}


@media (max-width: 550px) {
    #menu_mobile {
        padding: 4rem 0;
    }

    #menu_mobile .menu_site li a {
        font-size: 15px;
    }
}


@media (max-width: 545px) {
    #menu_mobile {
        width: 80%;
        padding: 3.5rem 0;
    }
}



.login-menu {
    position: relative;
}

/* Popup ẩn mặc định */
.login-popup {
    visibility: hidden;
    display: none;
    position: absolute;
    top: 120%;
    right: -50%;
    background-color: white;
    color: #333;
    padding: 15px;
    border-radius: 8px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
    width: 230px;
    z-index: 999;
    flex-direction: column;
    gap: 18px;
}

/* Hiển thị popup khi hover */
.login-menu:hover .login-popup {
    display: flex;
}

.login-popup hr {
    color: #00403D !important;
    width: 100%;
    height: 1px;
    margin: 1px auto;
}


.login-popup .dropdown_item {
    color: black !important;
    display: flex;
    justify-content: start;
    font-family: 'Montserrat', sans-serif;
}

.login-popup .dropdown_item i {
    color: #00403D !important;
    margin-right: 10px;
}

.login-popup .dropdown_item i::before {
    width: 15px;
    display: block;
}

.login-popup .dropdown_item div:hover,
#header_site .menu_lang li a:hover {
    color: #00403D !important;
    text-decoration: underline;
    cursor: pointer;
}

#account_name {
    color: #00403D !important;
    width: 100%;
    text-align: center;
}

#account_name:hover {
    text-decoration: none !important;
}